PETSc version 3.15.5
Fix/Edit manual page

# ISColoring

sets of IS's that define a coloring of the underlying indices

### Synopsis

    typedef struct _n_ISColoring* ISColoring;

### Notes

One should not access the *is records below directly because they may not yet have been created. One should use ISColoringGetIS() to make sure they are created when needed.

When the coloring type is IS_COLORING_LOCAL the coloring is in the local ordering of the unknowns. That is the matching the local (ghosted) vector; a local to global mapping must be applied to map them to the global ordering.

Developer Note: this is not a PetscObject

### See Also

ISColoringCreate(), ISColoringGetIS(), ISColoringView()

### Level

intermediate

### Location

src/vec/is/is/../../../../include/petscistypes.h
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages